ELFAnalyser.ArmAeabiAttributesTag.ParameterType (JNA API)

com.sun.jna

## Enum ELFAnalyser.ArmAeabiAttributesTag.ParameterType

- java.lang.Object
- - java.lang.Enum<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>
  - - com.sun.jna.ELFAnalyser.ArmAeabiAttributesTag.ParameterType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>
  Enclosing class:
    ELFAnalyser.ArmAeabiAttributesTag

      public static enum ELFAnalyser.ArmAeabiAttributesTag.ParameterType
      extends java.lang.Enum<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NTBS`
    `UINT32`
    `ULEB128`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ELFAnalyser.ArmAeabiAttributesTag.ParameterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ELFAnalyser.ArmAeabiAttributesTag.ParameterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UINT32

          public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType UINT32

    - #### NTBS

          public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType NTBS

    - #### ULEB128

          public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType ULEB128

  - ### Method Detail

    - #### values

          public static ELFAnalyser.ArmAeabiAttributesTag.ParameterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ELFAnalyser.ArmAeabiAttributesTag.ParameterType c : ELFAnalyser.ArmAeabiAttributesTag.ParameterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ELFAnalyser.ArmAeabiAttributesTag.ParameterType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.